Libargus API Libargus Camera API

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Public Member Functions | Static Public Member Functions | Protected Member Functions
Argus::ISensorMode Class Reference
SensorMode

Interface to the core properties of a SensorMode. More...

`#include <CameraDevice.h>`

Inheritance diagram for Argus::ISensorMode:

List of all members.

## Public Member Functions
virtual Size2D< uint32_t > | getResolution () const =0
| Returns the image resolution, in pixels.
virtual Range< uint64_t > | getExposureTimeRange () const =0
| Returns the supported exposure time range (in nanoseconds).
virtual Range< uint64_t > | getFrameDurationRange () const =0
| Returns the supported frame duration range (in nanoseconds).
virtual Range< float > | getAnalogGainRange () const =0
| Returns the supported analog gain range.
virtual uint32_t | getInputBitDepth () const =0
| Returns the bit depth of the image captured by the image sensor in the current mode.
virtual uint32_t | getOutputBitDepth () const =0
| Returns the bit depth of the image returned from the image sensor in the current mode.
virtual SensorModeType | getSensorModeType () const =0
| Describes the type of the sensor (Bayer, Yuv, etc.) and key modes of operation which are enabled in the sensor mode (Wide-dynamic range, Piecewise Linear Compressed output, etc.)
virtual bool | isBufferFormatSupported (Buffer *buffer) const =0
| Checks if the buffer provided is supported by the camera device.

## Static Public Member Functions
static const InterfaceID & | id ()

## Protected Member Functions
| ~ISensorMode ()
Protected Member Functions inherited from Argus::Interface
| Interface ()
| ~Interface ()

## Detailed Description

Interface to the core properties of a SensorMode.

Definition at line 164 of file CameraDevice.h.

## Constructor & Destructor Documentation

Argus::ISensorMode::~ISensorMode | ( |  | ) |
| inline protected

Definition at line 218 of file CameraDevice.h.

## Member Function Documentation

virtual Range<float> Argus::ISensorMode::getAnalogGainRange | ( |  | ) | const
| pure virtual

Returns the supported analog gain range.

virtual Range<uint64_t> Argus::ISensorMode::getExposureTimeRange | ( |  | ) | const
| pure virtual

Returns the supported exposure time range (in nanoseconds).

virtual Range<uint64_t> Argus::ISensorMode::getFrameDurationRange | ( |  | ) | const
| pure virtual

Returns the supported frame duration range (in nanoseconds).

virtual uint32_t Argus::ISensorMode::getInputBitDepth | ( |  | ) | const
| pure virtual

Returns the bit depth of the image captured by the image sensor in the current mode.

For example, a wide dynamic range image sensor capturing 16 bits per pixel would have an input bit depth of 16.

virtual uint32_t Argus::ISensorMode::getOutputBitDepth | ( |  | ) | const
| pure virtual

Returns the bit depth of the image returned from the image sensor in the current mode.

For example, a wide dynamic range image sensor capturing 16 bits per pixel might be connected through a Camera Serial Interface (CSI-3) which is limited to 12 bits per pixel. The sensor would have to compress the image internally and would have an output bit depth not exceeding 12.

virtual Size2D<uint32_t> Argus::ISensorMode::getResolution | ( |  | ) | const
| pure virtual

Returns the image resolution, in pixels.

virtual SensorModeType Argus::ISensorMode::getSensorModeType | ( |  | ) | const
| pure virtual

Describes the type of the sensor (Bayer, Yuv, etc.) and key modes of operation which are enabled in the sensor mode (Wide-dynamic range, Piecewise Linear Compressed output, etc.)

static const InterfaceID& Argus::ISensorMode::id | ( |  | ) |
| inline static

Definition at line 167 of file CameraDevice.h.

virtual bool Argus::ISensorMode::isBufferFormatSupported | ( | Buffer * | buffer | ) | const
| pure virtual

Checks if the buffer provided is supported by the camera device.

The documentation for this class was generated from the following file:

- include/Argus/CameraDevice.h